<div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox float-e-margins">
                <div class="ibox-title" ng-if="checkPermission['CREATE_SHOP']">
                    <div class="pull-right" style="margin-top: -5px;">
                        <a ui-sref="home.shops.create" class="btn btn-sm btn-info"><i class="fa fa-plus"></i> Create new shop</a>
                    </div>
                </div>
                <div class="ibox-content clearfix">
                    <!-- Shop FILTER -->
                    <div class="row">
                        <div class="form-group col-xs-12 col-md-6">
                          <label>Shop Name</label>
                          <input type="text" class="form-control" ng-model="vm.filter.query"
                                 placeholder="Enter shop name"
                                 ng-change="vm.read({ page: 1 })"/>
                        </div>
                        <div class="form-group col-xs-12 col-md-6">
                          <label>Shop admin</label>
                          <input type="text" class="form-control" ng-model="vm.filter.adminEmail"
                                 placeholder="Enter shop admin email"
                                 ng-change="vm.read({ page: 1 })"/>
                        </div>
                        <div class="form-group col-xs-12 col-md-6">
                            <label>Post code</label>
                            <ui-select multiple
                                       ng-model="vm.filter.postcodes"
                                       theme="bootstrap"
                                       ng-pattern="/\d{4}/"
                                       class="col-xs-12"
                                       on-remove="vm.read({page: 1})"
                                       on-select="vm.read({page: 1})">
                                <ui-select-match placeholder=" Select post codes...">{{$item}}</ui-select-match>
                                <ui-select-choices repeat="code in vm.codes | filter:$select.search"
                                                   refresh="vm.refreshCodes($select.search)">
                                    <div ng-bind-html="code | highlight: $select.search"></div>
                                </ui-select-choices>
                            </ui-select>
                        </div>
                        <div class="form-group col-xs-12 col-md-6">
                            <label>Shops per page:</label>
                            <ui-select ng-model="vm.meta.limit"
                                       theme="bootstrap"
                                       on-select="vm.read({page: 1})">
                                <ui-select-match>{{$select.selected}}</ui-select-match>
                                <ui-select-choices repeat="limit in vm.limits">
                                    {{::limit}}
                                </ui-select-choices>
                            </ui-select>
                        </div>
                    </div>
                    <!-- /Shop FILTER -->
                    <hr/>
                    <!--SHOPS LIST-->
                    <div id="grid1" ui-grid="vm.gridOptions" ui-grid-auto-resize ng-style="{'height': height + 'px'}" class="grid height-transition"></div>
                    <!--/SHOPS LIST-->

                    <!--pagination-->
                    <div class="col-sm-12 text-center">
                        <uib-pagination ng-if="vm.meta.totalCount > vm.meta.limit" total-items="vm.meta.totalCount"
                                        items-per-page="vm.meta.limit" ng-model="vm.meta.page"
                                        max-size="10" ng-change="vm.read()"></uib-pagination>
                    </div>
                    <!--/pagination-->
                </div>
            </div>
        </div>
    </div>
</div>
